# Tanuki Racing Release Notes

## Version: 1.0.29, July 8, 2024

#### Updates:
- Update UI feature name to latest and provide more guidance for filtering report search

## Version: 1.0.28, July 1, 2024

#### Updates:
- Expanded CI workshop issue steps with additional context.

#### Contributors: 
- Seraphine Young @seraphiney

## Version: 1.0.27, June 27, 2024

#### Updates:
- Fix issue in sec workshop where policies werent being enforced

#### Contributors: 
- Logan Stucker @lfstucker, Seraphine Young @seraphiney

## Version: 1.0.26, June 3, 2024

#### Updates:
- Provide linkable assets that do not require ability to request permission to Google Drive resources

#### Contributors: 
- Tim Poffenbarger @poffey21

## Version: 1.0.25, May 27, 2024

#### Updates:
- Duo Chat selection, multi lang support
- Hyperlink fix

#### Contributors:
- Peter Bozso @pbozso

## Version: 1.0.24, May 22, 2024

#### Updates:
- RCA wording change

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.23, May 21, 2024

#### Updates:
- Misc 17.0 UI changes
- License compliance moved
- Vuln filtering changed

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.22, May 14, 2024

#### Updates:
- Compliance framework 17.0 changes
- Security scanning changes

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.21, May 13, 2024

#### Updates:
- Adjusted AI course based on 17.0 features

#### Contributors:
- Logan Stucker @lfstucker, Bradley Lee @bradleylee, Alex Mark @alxmk650

## Version: 1.0.20, May 9, 2024

#### Updates:
- Adding git basics course

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.19, April 16, 2024

#### Updates:
- AI Sandbox rework. Now includes suggested problems to use Code Suggestions with

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.18, April 1, 2024

#### Updates:
- Misc AI UI update fixes

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.17, Mar 18, 2024

#### Updates:
- Dynamic pipelines added to cicd workshop
- Duo Chat in IDE added to AI
- Check out components added to CICD

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.16, Mar 5, 2024

#### Updates:
- Button text should be 'Explain Vulnerability'

#### Contributors:
- John Bush @johnbush

## Version: 1.0.15, Mar 4, 2024

#### Updates:
- Updated instructions for enabling AI features

#### Contributors:
- John Bush @johnbush

## Version: 1.0.14, Feb 14, 2024

#### Updates:
- AI demo flow added to Golden_Demos directory that showcases Duo throughout the SDLC

#### Contributors:
- Sam Morris @sam

#### Updates:
- AI workshop now includes x-ray and automatic vulnerability resolution

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.12, Dec 14, 2023

#### Updates:
- AI Workshop Restructoring
- Added plan features to AI workshops
- New task ordering

#### Contributors:
- Logan Stucker @lfstucker
- Madou Coulibaly @madou

## Version: 1.0.11, Dec 11, 2023

#### Updates:
- Updated supported languages in the AI sandbox
- PM Workshop updated for clarity

#### Contributors:
- Logan Stucker @lfstucker
- Chris Guitarte @cguitarte

## Version: 1.0.10, Dec 8, 2023

#### Updates:
- Adding Scan Execution Policy to the security workshop

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.9, Dec 7, 2023

#### Updates:
- AI optional VSC content update

#### Contributors:
- Ron Koster @ronkoster

## Version: 1.0.8, Dec 4, 2023

#### Updates:
- CICD code snippet fixes
- Changing branches from main to default branch throughout
- Security SBOM redone
- Security policies and CODEOWNERS changed

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.7, Nov 27, 2023

#### Updates:
- PM Workshop updated to include various AI features

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.6, Nov 27, 2023

#### Updates:
- Updated the security workshop with some minor fixes. Solved the issue with codeowners

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.5, Nov 21, 2023

#### Updates:
- Course formatting updated to be more readable, cc @abaer2

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.4, Nov 20, 2023

#### Updates:
- Refactored SD section
- Filtered SD on all needed pipelines

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.3, Nov 15, 2023

#### Updates:
- Adding Basics workshop v1

#### Contributors:
- Logan Stucker @lfstucker

## Version: 1.0.2, Nov 15, 2023

#### Updates:
- Additional chat exercises
- Fixes to PM Auto DevOps
- Removal of old DB set up

#### Contributors:
- Rob Jackson @rjackson-gitlab
- Logan Stucker @lfstucker

# Tanuki Racing Release Notes
## Version: 1.0.1, Nov 1, 2023

#### Updates:
- Spelling corrections in the Project Management course

#### Contributors:
- Chris Guitarte @cguitarte


## Version: 1.0.0, Oct 18, 2023

#### Updates:
- Init release of new application
- Choose your own adventure type, works for any major demo of GitLab features
- Init course release comes with AI, CICD, Security, & Project Management

#### Contributors:
- Logan Stucker @lfstucker
